/*

  xml-HTB tools           

  Copyright (c) 2004, Claudiu Cismaru (claudiu at cnixs dot com)

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option) 
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License   
  for more details.
  
  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc., 59
  Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#include <stdio.h>
#include "stack.h"

uint32_t lvlStack[_C_XML_HTB_MAXDEPTH];

void lvlStackInit (void) {
  int i;
  for (i = 0; i < _C_XML_HTB_MAXDEPTH; i++)
    lvlStack [i] = (uint32_t) 1;
}

void lvlStackSet (int depth, uint32_t value) {
  lvlStack [depth] = value;
}

int lvlStackGet (int depth, uint32_t *value) {
  *value = lvlStack [depth];
  return (0);
}
